GET https://api.zatomic.ai/v1/contexts/{contextId}/versions
// Example
GET https://api.zatomic.ai/v1/contexts/{contextId}/versions
API Reference
- Overview
- Versioning
- Authentication
- Workspaces
- Status Codes and Errors
- Credit Usage
- Expanding Objects
- OpenAPI Spec
- Changelog
- Contexts
- The Context Object
- Create File Context
- Create Text Context
- Update Context
- Delete Context
- Retrieve Context
- Retrieve All Contexts
- Context Versions
- The Context Version Object
- Create File Context Version
- Create Text Context Version
- Update File Context Version
- Update Text Context Version
- Delete Context Version
- Retrieve Context Version
- Retrieve All Context Versions
- Projects
- The Project Object
- Create Project
- Update Project
- Delete Project
- Retrieve Project
- Retrieve All Projects
- Prompts
- The Prompt Object
- Create Prompt
- Update Prompt
- Delete Prompt
- Retrieve Prompt
- Retrieve All Prompts
- Generate Prompt
- Versions
- The Version Object
- Create Version
- Update Version
- Delete Version
- Retrieve Version
- Retrieve All Versions
- Calculate Version Score
- Retrieve Version Score
- Generate Version Heatmap
- Retrieve Version Heatmap
- Analyze Version Balance
- Retrieve Version Balance
- Analyze Version Risk
- Retrieve Version Risk
- Improve Version
- Scoring Criteria
- The Scoring Criteria Object
- The Scoring Criterion Object
- Create Scoring Criteria
- Update Scoring Criteria
- Delete Scoring Criteria
- Retrieve Scoring Criteria
- Retrieve All Scoring Criteria
- Generate Scoring Criteria
- Create Scoring Criterion
- Update Scoring Criterion
- Delete Scoring Criterion
- Retrieve Scoring Criterion
- Scoring Criteria Results
- The Scoring Criteria Results Object
- Scoring
- The Scoring Object
- Calculate Prompt Score
- Heatmaps
- The Heatmap Object
- Generate Prompt Heatmap
- Balance
- The Balance Object
- Analyze Prompt Balance
- Risk
- The Risk Object
- Analyze Prompt Risk
Retrieve All Context Versions
Returns the list of all context versions for a context, sorted by version updated date in descending order.
Endpoint
Endpoint Response
A successful call returns a response that contains a list of context version objects.
| HTTP Status Codes | ||
|---|---|---|
| 200 | OK | The context versions were retrieved, or an empty list was returned. |
| 500 | Internal Server Error | Something went wrong on Zatomic's end. |
Response Body - File Context Versions
[
{
"version_id": "ctv_2qRzu8qzlNOMhTrini2EKCDh5r6",
"context_id": "ctx_2qRzu8geIvfudcJTwP0pur4TbMJ",
"created": "2024-12-19T20:33:16.076891Z",
"updated": "2024-12-19T20:39:13.026997Z",
"is_primary": true,
"is_locked": false,
"locked_by": null,
"name": null,
"type": "file",
"file_name": "file.md",
"file_size_in_bytes": 17824,
"file_download_url": "https://download-url"
}
]
Response Body - Text Context Versions
[
{
"version_id": "ctv_2qRzu8qzlNOMhTrini2EKCDh5r6",
"context_id": "ctx_2qRzu8geIvfudcJTwP0pur4TbMJ",
"created": "2024-12-19T20:33:16.076891Z",
"updated": "2024-12-19T20:39:13.026997Z",
"is_primary": true,
"is_locked": false,
"locked_by": null,
"name": null,
"type": "text",
"content": "This is a reusable piece of text."
}
]